Summary: Planet Connect satlink module & satcomd
Name: satlink
Version: 1.0
Release: 3
Copyright: distributable
Group: Networking/Daemons
Source: satlink-1.0.tar.gz
Source1: satcomd.init
Source2: satlink.logrotate
Patch0: satlink-1.0.patch
Patch1: satlink-1.0-glibc.patch
Buildroot: /tmp/satlink-root
Requires: /usr/bin/rnews

%description
This package contains the needed device drivers and data stream
processing programs to receive the Planet Connect Usenet News
Feed using the 128K/256K system.

%pre
export PATH=/bin:/usr/bin:$PATH
if grep "path\\[misc\\]=/lib/modules/default/misc" /etc/conf.modules
then
	/bin/true
else
	path[misc]=/lib/modules/default/misc
fi
if grep "alias.*char-major-60.*satlink" /etc/conf.modules
then
	/bin/true
else
	echo "alias char-major-60 satlink" >> /etc/conf.modules
fi

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
(cd driver ; make CFLAGS="$RPM_OPT_FLAGS -D__need_timeval" )
(cd satcomd ; make CFLAGS="$RPM_OPT_FLAGS -D__need_timeval" )

%install
# create the directories
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc1.d,rc2.d,rc3.d,rc5.d,rc6.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/lib/modules/default/misc
mkdir -p $RPM_BUILD_ROOT/dev

# install satcomd & tools
(cd satcomd ; INSTALL_ROOT="$RPM_BUILD_ROOT" make install)

# create log files
touch $RPM_BUILD_ROOT/var/log/satlink/errors
touch $RPM_BUILD_ROOT/var/log/satlink/transfer

# install module
install driver/satlink.o $RPM_BUILD_ROOT/lib/modules/default/misc/satlink.o

# install init scripts to load satcomd at boot time
install -m 755 $RPM_SOURCE_DIR/satcomd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/satcomd.init
for i in 0 1 6 ; do
	ln -s ../init.d/satcomd.init $RPM_BUILD_ROOT/etc/rc.d/rc${i}.d/K13satcomd
done
for i in 3 5 ; do
	ln -s ../init.d/satcomd.init $RPM_BUILD_ROOT/etc/rc.d/rc${i}.d/S97satcomd
done

# install logrotate script
install -m 755 $RPM_SOURCE_DIR/satlink.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/satlink

# create the device
mknod $RPM_BUILD_ROOT/dev/satlink c 60 0

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc doc/* CHANGES README README-rpm
/dev/satlink
/lib/modules/default/misc/satlink.o
%config /etc/rc.d/init.d/satcomd.init
%config /etc/rc.d/rc3.d/S97satcomd
%config /etc/rc.d/rc5.d/S97satcomd
%config /etc/rc.d/rc0.d/K13satcomd
%config /etc/rc.d/rc1.d/K13satcomd
%config /etc/rc.d/rc6.d/K13satcomd
%config /etc/satcomd.conf
%config /etc/logrotate.d/satlink
/usr/lib/satlink
/var/spool/satlink
/var/log/satlink
